commit:     3112229b867667dfa9c054ab5b38769f13400ecb
Author:     Robin H. Johnson <robbat2 <AT> gentoo <DOT> org>
AuthorDate: Sun Mar 19 19:09:33 2023 +0000
Commit:     Robin H. Johnson <robbat2 <AT> gentoo <DOT> org>
CommitDate: Sun Mar 19 19:20:37 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3112229b

dev-ruby/puppet-resource_api: new package

Signed-off-by: Robin H. Johnson <robbat2 <AT> gentoo.org>

 dev-ruby/puppet-resource_api/Manifest              |  1 +
 dev-ruby/puppet-resource_api/metadata.xml          | 15 +++++++++
 .../puppet-resource_api-1.8.16.ebuild              | 38 ++++++++++++++++++++++
 3 files changed, 54 insertions(+)

diff --git a/dev-ruby/puppet-resource_api/Manifest 
b/dev-ruby/puppet-resource_api/Manifest
new file mode 100644
index 000000000000..b8152ae5c105
--- /dev/null
+++ b/dev-ruby/puppet-resource_api/Manifest
@@ -0,0 +1 @@
+DIST puppet-resource_api-1.8.16.tar.gz 167691 BLAKE2B 
58aad4a73ef76fbccab580c1500b4af6a472f9bc9b7b0b1c592626abb837af6b34697194b5da884f87ce306f00f23d6f17ff7926e88ca2df3b0cd5770c819e9c
 SHA512 
b60575d0e4f87425d028429403dd5524e39cb5ffea338871f7c5296d7e632d4eebc6786bdb7005e5c1be5e962115903b11dc9645dacd4d040d3afa43606a3ea2

diff --git a/dev-ruby/puppet-resource_api/metadata.xml 
b/dev-ruby/puppet-resource_api/metadata.xml
new file mode 100644
index 000000000000..706558282ad9
--- /dev/null
+++ b/dev-ruby/puppet-resource_api/metadata.xml
@@ -0,0 +1,15 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+       <maintainer type="person">
+               <email>[email protected]</email>
+               <name>Robin H. Johnson</name>
+       </maintainer>
+       <maintainer type="project">
+               <email>[email protected]</email>
+               <name>Gentoo Ruby Project</name>
+       </maintainer>
+       <upstream>
+               <remote-id 
type="github">puppetlabs/puppet-resource_api</remote-id>
+       </upstream>
+</pkgmetadata>

diff --git a/dev-ruby/puppet-resource_api/puppet-resource_api-1.8.16.ebuild 
b/dev-ruby/puppet-resource_api/puppet-resource_api-1.8.16.ebuild
new file mode 100644
index 000000000000..a8e6f8540789
--- /dev/null
+++ b/dev-ruby/puppet-resource_api/puppet-resource_api-1.8.16.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby27 ruby30 ruby31"
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md CONTRIBUTING.md HISTORY.md README.md"
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+# rspec tests have dependencies not packaged in Gentoo at this time:
+# puppetlabs_spec_helper
+# CFPropertyList
+# simplecov-console
+# spec-puppet
+# rubocop
+# rubocop-rspec
+# license_finder
+RUBY_FAKEGEM_RECIPE_TEST="none"
+
+inherit ruby-fakegem
+
+DESCRIPTION="This library provides a simple way to write new native resources 
for puppet."
+HOMEPAGE="https://rubygems.org/gems/puppet-resource_api 
https://github.com/puppetlabs/puppet-resource_api";
+LICENSE="MIT"
+# 2023/03/19: .gem does not contain specfiles, and lags behind GitHub releases.
+SRC_URI="https://github.com/puppetlabs/puppet-resource_api/archive/refs/tags/${PV}.tar.gz
 -> ${P}.tar.gz"
+
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE=""
+
+all_ruby_prepare() {
+       # the gemspec tries to system(git ls-files) but has a meaningful 
fallback, so just make it not run git.
+       sed -i -e '/git --help/s,git,false git,g' \
+               "${RUBY_FAKEGEM_GEMSPEC}" \
+               || die
+}
+
+ruby_add_rdepend ">=dev-ruby/hocon-1.0"

Reply via email to